Package org.apache.commons.lang3.time

## Class CalendarUtils

- java.lang.Object
- - org.apache.commons.lang3.time.CalendarUtils

    public class CalendarUtils
    extends java.lang.Object

Helps use `Calendar`s.

Since:
  3.10

### Field Summary

Fields
`static CalendarUtils` `INSTANCE` The singleton instance for `Calendar.getInstance()`.

### Constructor Summary

Constructors
`CalendarUtils​(java.util.Calendar calendar)` Creates an instance for the given Calendar.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDayOfMonth()` Gets the current day of month.
`int` `getMonth()` Gets the current month.
`int` `getYear()` Gets the current year.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final CalendarUtils INSTANCE

The singleton instance for `Calendar.getInstance()`.

### Constructor Detail

#### CalendarUtils

    public CalendarUtils​(java.util.Calendar calendar)

Creates an instance for the given Calendar.

Parameters:
  `calendar` - A Calendar.

### Method Detail

#### getDayOfMonth

    public int getDayOfMonth()

Gets the current day of month.

Returns:
  the current day of month.

#### getMonth

    public int getMonth()

Gets the current month.

Returns:
  the current month.

#### getYear

    public int getYear()

Gets the current year.

Returns:
  the current year.